# This file created by conda-build 3.28.1
# meta.yaml template originally from:
# /home/conda/recipe_root, last modified Thu Dec 14 17:29:58 2023
# ------------------------------------------------

package:
  name: cwl-upgrader
  version: 1.2.11
source:
  sha256: 57b4b6fea246ae96ac28dc4e65b28899e50a8be430957fbd97f25bbe2dfa468a
  url: https://pypi.io/packages/source/c/cwl-upgrader/cwl-upgrader-1.2.11.tar.gz
build:
  entry_points:
    - cwl-upgrader = cwlupgrader.main:main
  noarch: python
  number: '0'
  script: /home/conda/feedstock_root/build_artifacts/cwl-upgrader_1702575082966/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehol/bin/python
    -m pip install . -vv
  string: pyhd8ed1ab_0
requirements:
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - bzip2 1.0.8 hd590300_5
    - ca-certificates 2023.11.17 hbcca054_0
    - ld_impl_linux-64 2.40 h41732ed_0
    - libexpat 2.5.0 hcb278e6_1
    - libffi 3.4.2 h7f98852_5
    - libgcc-ng 13.2.0 h807b86a_3
    - libgomp 13.2.0 h807b86a_3
    - libnsl 2.0.1 hd590300_0
    - libsqlite 3.44.2 h2797004_0
    - libuuid 2.38.1 h0b41bf4_0
    - libzlib 1.2.13 hd590300_5
    - ncurses 6.4 h59595ed_2
    - openssl 3.2.0 hd590300_1
    - pip 23.3.1 pyhd8ed1ab_0
    - python 3.12.0 hab00c5b_0_cpython
    - readline 8.2 h8228510_1
    - setuptools 68.2.2 pyhd8ed1ab_0
    - tk 8.6.13 noxft_h4845f30_101
    - tzdata 2023c h71feb2d_0
    - wheel 0.42.0 pyhd8ed1ab_0
    - xz 5.2.6 h166bdaf_0
  run:
    - python >=3.6
    - ruamel.yaml >=0.16.0,<0.17.22
    - schema-salad
    - setuptools
test:
  commands:
    - pip check
    - cwl-upgrader --help
    - python -m pytest -n auto --pyargs cwlupgrader
  imports:
    - cwlupgrader
  requires:
    - pip
    - pytest-xdist
about:
  dev_url: https://github.com/common-workflow-language/cwl-upgrader
  home: https://github.com/common-workflow-language/cwl-upgrader
  license: Apache-2.0
  license_file:
    - LICENSE.txt
  summary: This is a standalone upgrader for Common Workflow Language documents from
    version draft-3, v1.0, and v1.1 to v1.2
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: azure_20231214.2.1
  recipe-maintainers:
    - kinow
    - mr-c
  remote_url: https://github.com/conda-forge/cwl-upgrader-feedstock
  sha: d9059475c92ebde7f54857011ccc90cad49e50af
